Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.bea.wli.common
Annotation Type ReturnXml

    public @interface ReturnXml

Optional Element Summary
`String[]` | `includeJavaTypes` The include-java-types attribute specifies one or more Java types, separated by a space, that should be used for serializing message data.
`String` | `schemaElement` The schemaElement attribute specifies the name of a schema type, such as "xsd:string".
`String` | `xmlMap` The xml-map attribute specifies an XML map, which associates data in the message with the parameters of the method.
`String` | `xquery` The xquery attribute specifies specifies an XQuery expression to be run on the values passed as parameters to this method.
`String` | `xqueryRef` The xquery-ref attribute specifies an XQuery file to be run on the values passed as parameters to this method.

### schemaElement

    public abstract String schemaElement

  The schemaElement attribute specifies the name of a schema type, such as "xsd:string". Schema types are defined in the file(s) specified by the service's schema tag.

  Default:
    ""

### xquery

    public abstract String xquery

  The xquery attribute specifies specifies an XQuery expression to be run on the values passed as parameters to this method.

  Default:
    ""

### xqueryRef

    public abstract String xqueryRef

  The xquery-ref attribute specifies an XQuery file to be run on the values passed as parameters to this method.

  Default:
    ""

### xmlMap

    public abstract String xmlMap

  The xml-map attribute specifies an XML map, which associates data in the message with the parameters of the method.

  Default:
    ""

### includeJavaTypes

    public abstract String[] includeJavaTypes

  The include-java-types attribute specifies one or more Java types, separated by a space, that should be used for serializing message data.

  Default:
    {}

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT